org.kie.internal.query

## Class QueryFilter

- java.lang.Object
- - org.kie.api.runtime.query.QueryContext
  - - org.kie.internal.query.QueryContext
    - - org.kie.internal.query.QueryFilter

- All Implemented Interfaces:
    Serializable

      public class QueryFilter
      extends QueryContext

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.kie.api.runtime.query.QueryContext

      `ascending, count, offset, orderBy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryFilter()`
    `QueryFilter(int offset, int count)`
    `QueryFilter(int offset, int count, String orderBy, boolean ascending)`
    `QueryFilter(int offset, int count, String filterParams, String language, String orderBy)`
    `QueryFilter(QueryFilter orig)`
    `QueryFilter(String filterParams, Map<String,Object> params, String orderBy, boolean isAscending)`
    `QueryFilter(String filterParams, Map<String,Object> params, String orderBy, int offset, int count)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFilterParams()`
    `String` | `getLanguage()`
    `Map<String,Object>` | `getParams()`
    `void` | `setFilterParams(String filterParams)`
    `void` | `setLanguage(String language)`
    `void` | `setParams(Map<String,Object> params)`

    - ### Methods inherited from class org.kie.api.runtime.query.QueryContext

      `clear, getCount, getOffset, getOrderBy, isAscending, setAscending, setCount, setOffset, setOrderBy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryFilter

          public QueryFilter()

    - #### QueryFilter

          public QueryFilter(QueryFilter orig)

    - #### QueryFilter

          public QueryFilter(int offset,
                             int count)

    - #### QueryFilter

          public QueryFilter(int offset,
                             int count,
                             String orderBy,
                             boolean ascending)

    - #### QueryFilter

          public QueryFilter(int offset,
                             int count,
                             String filterParams,
                             String language,
                             String orderBy)

    - #### QueryFilter

          public QueryFilter(String filterParams,
                             Map<String,Object> params,
                             String orderBy,
                             boolean isAscending)

    - #### QueryFilter

          public QueryFilter(String filterParams,
                             Map<String,Object> params,
                             String orderBy,
                             int offset,
                             int count)

  - ### Method Detail

    - #### getLanguage

          public String getLanguage()

    - #### setLanguage

          public void setLanguage(String language)

    - #### getFilterParams

          public String getFilterParams()

    - #### setFilterParams

          public void setFilterParams(String filterParams)

    - #### getParams

          public Map<String,Object> getParams()

    - #### setParams

          public void setParams(Map<String,Object> params)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.